# MPPFile

expect class MPPFile (source)

## Properties

bytesAllocator
Link copied to clipboard
expect val MPPFile . bytesAllocator : SuspendByteArrayAllocator
bytesAllocatorSync
Link copied to clipboard
expect val MPPFile . bytesAllocatorSync : ByteArrayAllocator
filename
Link copied to clipboard
expect val MPPFile . filename : FileName
filesize
Link copied to clipboard
expect val MPPFile . filesize : Long

## Functions

bytes
Link copied to clipboard
suspend fun MPPFile . bytes (): ByteArray
bytesSync
Link copied to clipboard
fun MPPFile . bytesSync (): ByteArray
input
Link copied to clipboard
expect fun MPPFile . input (): ERROR CLASS: Symbol not found for Input

Creates a Ktor Input from this multiplatform file. Platform-specific implementations handle file reading for each supported platform.

actual fun MPPFile . input (): ERROR CLASS: Symbol not found for Input

Creates a Ktor Input from this multiplatform file. Platform-specific implementations handle file reading for each supported platform.

actual fun MPPFile . input (): ERROR CLASS: Symbol not found for Input

Creates a Ktor Input from this multiplatform file. Platform-specific implementations handle file reading for each supported platform.

inputProvider
Link copied to clipboard
fun MPPFile . inputProvider (): ERROR CLASS: Symbol not found for InputProvider

Creates a Ktor InputProvider from this multiplatform file for use in HTTP client requests. The input provider knows the file size and can create input streams on demand.

inputProviderSync
Link copied to clipboard
fun MPPFile . inputProviderSync (): ERROR CLASS: Symbol not found for InputProvider
readBytes
Link copied to clipboard
fun MPPFile . readBytes (): ByteArray
readBytesPromise
Link copied to clipboard
fun MPPFile . readBytesPromise (): Promise < ByteArray >